| Home | Libraries | People | FAQ | More

##### swap

###### Description

Returns the return type of swap.

###### Synopsis

    template<typename Seq1, typename Seq2>
    struct swap
    {
        typedef void type;
    };

Table 1.35. Parameters

Parameters | Requirement | Description
--- | --- | ---
`Seq1`, `Seq2` | Models of Forward Sequence | The sequences being swapped

###### Expression Semantics

    result_of::swap<Seq1, Seq2>::type

Return type: `void` iff both of `Seq1` and `Seq2` are sequence. Otherwise, none.

Semantics: Returns the return type of `swap` for 2 sequences of types `Seq1` and `Seq2`.

###### Header

    #include <boost/fusion/sequence/intrinsic/swap.hpp>
    #include <boost/fusion/include/swap.hpp>